当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 1 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 大家看看怎么回事
帖子发表于 : 2013-03-29 18:33 

注册: 2012-06-09 15:40
帖子: 993
送出感谢: 0 次
接收感谢: 7
cc@thinkpad:~/.gimp-2.8/plug-ins$ ldd pspi.exe.so | grep not
libgimpui-2.0.so.0 => not found
libgimpwidgets-2.0.so.0 => not found
libgimp-2.0.so.0 => not found
libgimpmath-2.0.so.0 => not found
libgimpcolor-2.0.so.0 => not found
libgimpbase-2.0.so.0 => not found
cc@thinkpad:~/.gimp-2.8/plug-ins$ ldd pspi.exe.so | grep not
libgimpui-2.0.so.0 => not found
libgimpwidgets-2.0.so.0 => not found
libgimp-2.0.so.0 => not found
libgimpmath-2.0.so.0 => not found
libgimpcolor-2.0.so.0 => not found
libgimpbase-2.0.so.0 => not found
cc@thinkpad:~/.gimp-2.8/plug-ins$ gimp
GIMP-警告: 环境文件 /home/cc/.gimp-2.8/environ/libgimp-2.0.so.0 中含有非法变量名:K

GIMP-警告: 环境文件 /home/cc/.gimp-2.8/environ/libgimp-2.0.so.0 中含有非法变量名:�[

GIMP-警告: 环境文件 /home/cc/.gimp-2.8/environ/libgimp-2.0.so.0 中含有非法变量名:o�;�%�>�.����y�DV��UkhN��

GIMP-警告: 环境文件 /home/cc/.gimp-2.8/environ/libgimp-2.0.so.0 中含有非法变量名��>2�H�zlK���|Q�W�4s���QF�j�^�RъTL�ger.�� �Ћ;숽�_ީf9I�QƧF@��*R�3s���ZӮ��5��?�T��r������Z��p��O��K����Q

GIMP-警告: 环境文件 /home/cc/.gimp-2.8/environ/libgimp-2.0.so.0 中含有非法变量名::����^��b[�����'d

GIMP-警告: 环境文件 /home/cc/.gimp-2.8/environ/libgimpwidgets-2.0.so.0 中含有非法变量名: <popup action

GIMP-警告: 环境文件 /home/cc/.gimp-2.8/environ/libgimpwidgets-2.0.so.0 中含有非法变量名: <menuitem action

GIMP-警告: 环境文件 /home/cc/.gimp-2.8/environ/libgimpwidgets-2.0.so.0 中含有非法变量名: <menuitem action

GIMP-警告: 环境文件 /home/cc/.gimp-2.8/environ/libgimpwidgets-2.0.so.0 中含有非法变量名: <menuitem action

GIMP-警告: 环境文件 /home/cc/.gimp-2.8/environ/libgimpwidgets-2.0.so.0 中含有非法变量名: <menuitem action

GIMP-警告: 环境文件 /home/cc/.gimp-2.8/environ/libgimpwidgets-2.0.so.0 中含有非法变量名:<_�>b�>c�9>f�b?k��UWS�?t��?w��Az��C|��D}��D}��D}��D}��D}��A{��>x��?u��?q��?k��UWSe

GIMP-警告: 环境文件 /home/cc/.gimp-2.8/environ/libgimpwidgets-2.0.so.0 中含有非法变量名:9Y|<^�;_�;<b�b&Bc�UWS�'Ir

GIMP-警告: 环境文件 /home/cc/.gimp-2.8/environ/libgimpwidgets-2.0.so.0 中含有非法变量名:###***///555999

GIMP-警告: 环境文件 /home/cc/.gimp-2.8/environ/libgimpwidgets-2.0.so.0 中含有非法变量名:'''///777

GIMP-警告: 环境文件 /home/cc/.gimp-2.8/environ/libgimpwidgets-2.0.so.0 中含有非法变量名:CC
AF


GIMP-警告: 环境文件 /home/cc/.gimp-2.8/environ/libgimpwidgets-2.0.so.0 中含有非法变量名:AA
AF


Skipping duplicate plug-in: '/usr/lib/gimp/2.0/plug-ins/libgimp-2.0.so.0'
Skipping duplicate plug-in: '/usr/lib/gimp/2.0/plug-ins/libgimpconfig-2.0.so.0'
Skipping duplicate plug-in: '/usr/lib/gimp/2.0/plug-ins/libgimpcolor-2.0.so.0'
Skipping duplicate plug-in: '/usr/lib/gimp/2.0/plug-ins/libgimpmodule-2.0.so.0'
Skipping duplicate plug-in: '/usr/lib/gimp/2.0/plug-ins/libgimpbase-2.0.so.0'
Skipping duplicate plug-in: '/usr/lib/gimp/2.0/plug-ins/libgimpwidgets-2.0.so.0'
Skipping duplicate plug-in: '/usr/lib/gimp/2.0/plug-ins/libgimpmath-2.0.so.0'
Skipping duplicate plug-in: '/usr/lib/gimp/2.0/plug-ins/libgimpthumb-2.0.so.0'
Skipping duplicate plug-in: '/usr/lib/gimp/2.0/plug-ins/libgimpui-2.0.so.0'

(gimp:6067): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error

(gimp:6067): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error

(gimp:6067): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error

(gimp:6067): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error

(gimp:6067): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error

(gimp:6067): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error

(gimp:6067): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error

(gimp:6067): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error

(gimp:6067): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error

(gimp:6067): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error

(gimp:6067): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error

(gimp:6067): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error

(gimp:6067): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
wine: Bad EXE format for Z:\home\cc\.gimp-2.8\plug-ins\pspi.exe.so.

(gimp:6067): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error

(gimp:6067): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error

(gimp:6067): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error

(gimp:6067): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error

(gimp:6067): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error

(gimp:6067): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error

(gimp:6067): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error

原文教程


How to install PSPI to work under 64-bit Ubuntu. I am writing these
instructions on my Jaunty installation, for Gimp 2.6.6.

Most of the basic instructions can be found here:
http://www.instructables.com/id/Phot...s_In_The_GIMP/
but there are a few special instructions for installing pspi on an Ubuntu
64-bit system.

There is quite a bit of overlap between the instructions found on the above
website and the steps outlined below.

1) Create a directory to save the pspi download, I'll call mine ~/pspi_download

$ cd
$ mkdir pspi_download
$ cd ~/pspi_download

2) Download pspi (Use your web browser to go to
http://tml.pp.fi/gimp/pspi.html, and click on the link for
"Ubuntu 5.10 binary".) Save file gimp-pspi-1.0.5.ubuntu.i386.tar.gz
in the ~/pspi_download directory you created above.

3) Unzip it:

$ gunzip gimp-pspi-1.0.5.ubuntu.i386.tar.gz

4) Extract the files from the tar:

$ tar -xfv gimp-pspi-1.0.5.ubuntu.i386.tar

5) Copy files pspi and pspi.exe.so to your personal Gimp plug-in folder.
Mine is ~/.gimp-2.6/plug-ins

$ cp pspi pspi.exe ~/.gimp-2.6/plug-ins

6) There are 32-bit Gimp files missing that must be installed in order
for pspi to work.

To see the files that are missing, use this command:
$ cd ~/.gimp-2.6/plug-ins
$ ldd pspi.exe.so | grep not

You should see the following:

libgimpui-2.0.so.0 => not found
libgimpwidgets-2.0.so.0 => not found
libgimp-2.0.so.0 => not found
libgimpmath-2.0.so.0 => not found
libgimpcolor-2.0.so.0 => not found
libgimpbase-2.0.so.0 => not found

7) Using a web browser, download the 32-bit .deb package that contains
these files. You can find the package here:

http://packages.ubuntu.com/jaunty/i3...mp2.0/download

8.) Save (don't install) libgimp2.0_2.6.6-0ubuntu1.1_i386.deb to a new
directory called ~/libgimp_32bit_download

9) Unpack the files from the .deb package like this:

$ cd ~/libgimp_32bit_download
$ mkdir unpack
$ dpkg-deb -x libgimp2.0_2.6.6-0ubuntu1.1_i386.deb unpack

10) In the unpack directory, you will find some subdirectories. Go to
the usr/lib directory:

$ cd unpack/usr/lib

11) Change the permissions of all the regular files (not the symbolic links) to
-rwxr-xr-x (755):

$ sudo chmod 755 lib*.6

12) Copy all the files (including links) to /usr/lib32:

$ sudo cp -d * /usr/lib32

Note: The -d option tells cp to also copy the symbolic links

13) Repeat step 6, except this time, you should see NO files listed:

$ cd ~/.gimp-2.6/plug-ins
$ ldd pspi.exe.so | grep not

No files should be listed. If there are any, you did something wrong
above, so go back and double check.

14) Run gimp. It should recognize the new pspi plugin. Click on the Filters
menu. At the bottom, you should see a new menu option, "Photoshop
Plug-in Settings..."

15) At this point, pspi is installed properly on your 64-bit Ubuntu machine.
Follow the rest of the instructions found at
http://www.instructables.com/id/Phot...s_In_The_GIMP/
in order to configure and use it. You can start at step 3.

I hope you find these instructions helpful.


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 1 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译